List the organization's Accelerator Lab runs, newest first, with their target, policy, and recorded evidence
GET
/
api
/
v1
/
optimization
/
accelerator-lab
/
runs
List the organization's Accelerator Lab runs, newest first, with their target, policy, and recorded evidence
curl --request GET \
--url http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"boundary": "<string>",
"data": [
{
"campaign_id": "<string>",
"candidate_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"id": "<string>",
"message": "<string>",
"policy": {
"allow_generated_kernels": true,
"max_cost_usd": 123,
"max_memory_regression_percent": 123,
"min_amdahl_ceiling": 123,
"min_hotspot_fraction": 123,
"min_kernel_speedup": 123,
"require_hidden_shapes": true,
"require_quality": true,
"require_sanitizer": true,
"require_serving_replay": true,
"target_end_to_end_speedup": 123
},
"progress": 50,
"result": {
"cost_usd": 123,
"evidence_state": "<string>",
"experiments": [
{
"build": {
"artifact_digests": [
"<string>"
],
"builder": "<string>",
"builder_version": "<string>",
"checks": [
"<string>"
],
"receipt_digest": "<string>",
"source_digest": "<string>",
"status": "<string>"
},
"candidate_id": "<string>",
"failure_code": "<string>",
"generated": true,
"operator_family": "<string>",
"qualification": {
"benchmark_evidence_id": "<string>",
"build_artifact_digest": "<string>",
"correctness_passed": true,
"cost_regression_percent": 123,
"cost_usd": 123,
"end_to_end_speedup": 123,
"hardware": {
"accelerator": "<string>",
"compute_capability": "<string>",
"vendor": "<string>"
},
"hidden_shapes_passed": true,
"kernel_speedup": 123,
"measured_at": "2023-11-07T05:31:56Z",
"memory_regression_percent": 123,
"profiler_artifact_digest": "<string>",
"quality_evidence_id": "<string>",
"quality_passed": true,
"runtime_image_digest": "<string>",
"sanitizer_passed": true,
"serving_replay_measured": true,
"workload_digest": "<string>"
},
"reasons": [
"<string>"
],
"research": {
"attempts": [
{
"backend": "<string>",
"baseline_median_us": 123,
"candidate_median_us": 123,
"completed_at": "2023-11-07T05:31:56Z",
"correctness": {
"determinism": true,
"edge_cases": true,
"numerical_stability": true,
"sanitizer": true,
"shape_sweep": true,
"smoke": true
},
"decision": "<string>",
"end_to_end_speedup": 123,
"iteration": 123,
"kernel_speedup": 123,
"reason": "<string>",
"source_revision": "<string>"
}
],
"best_end_to_end_speedup": 123,
"best_kernel_speedup": 123,
"best_source_revision": "<string>",
"receipt_digest": "<string>",
"state": "<string>"
},
"source": {
"backend": "<string>",
"implementation_id": "<string>",
"license": "<string>",
"revision": "<string>"
},
"state": "<string>"
}
],
"input_digest": "<string>",
"limitations": [
"<string>"
],
"plan": {
"algorithm_version": "<string>",
"candidates": [
{}
],
"registry_version": "<string>",
"rejected": [
{
"hotspot_id": "<string>",
"reason": "<string>"
}
],
"selection_boundary": "<string>"
},
"profile": {
"artifact_digest": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"hotspots": [
{
"device_time_fraction": 123,
"dtypes": [
"<string>"
],
"family": "<string>",
"id": "<string>",
"invocations": 123,
"mean_duration_us": 123,
"name": "<string>",
"shapes": [
"<string>"
]
}
],
"runtime_image_digest": "<string>",
"tool": "<string>",
"tool_version": "<string>"
},
"schema_version": "infercrane.accelerator-lab-result/v1",
"state": "<string>",
"winner_id": "<string>"
},
"result_state": "pending",
"status": "<string>",
"target": {
"hardware": {
"accelerator": "<string>",
"compute_capability": "<string>",
"vendor": "<string>"
},
"model": {
"repository": "<string>",
"revision": "<string>"
},
"runtime": {
"image_digest": "<string>",
"name": "<string>",
"version": "<string>"
},
"topology": {
"accelerators": 123,
"expert_parallel": 123,
"mode": "<string>",
"nodes": 123,
"pipeline_parallel": 123,
"tensor_parallel": 123,
"decode_replicas": 123,
"prefill_replicas": 123
},
"workload": {
"batch_size": 123,
"concurrency": 123,
"digest": "<string>",
"input_tokens": 123,
"modality": "<string>",
"output_tokens": 123,
"phase": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}Authorizations
Query Parameters
⌘I
List the organization's Accelerator Lab runs, newest first, with their target, policy, and recorded evidence
curl --request GET \
--url http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/optimization/accelerator-lab/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"boundary": "<string>",
"data": [
{
"campaign_id": "<string>",
"candidate_id": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"id": "<string>",
"message": "<string>",
"policy": {
"allow_generated_kernels": true,
"max_cost_usd": 123,
"max_memory_regression_percent": 123,
"min_amdahl_ceiling": 123,
"min_hotspot_fraction": 123,
"min_kernel_speedup": 123,
"require_hidden_shapes": true,
"require_quality": true,
"require_sanitizer": true,
"require_serving_replay": true,
"target_end_to_end_speedup": 123
},
"progress": 50,
"result": {
"cost_usd": 123,
"evidence_state": "<string>",
"experiments": [
{
"build": {
"artifact_digests": [
"<string>"
],
"builder": "<string>",
"builder_version": "<string>",
"checks": [
"<string>"
],
"receipt_digest": "<string>",
"source_digest": "<string>",
"status": "<string>"
},
"candidate_id": "<string>",
"failure_code": "<string>",
"generated": true,
"operator_family": "<string>",
"qualification": {
"benchmark_evidence_id": "<string>",
"build_artifact_digest": "<string>",
"correctness_passed": true,
"cost_regression_percent": 123,
"cost_usd": 123,
"end_to_end_speedup": 123,
"hardware": {
"accelerator": "<string>",
"compute_capability": "<string>",
"vendor": "<string>"
},
"hidden_shapes_passed": true,
"kernel_speedup": 123,
"measured_at": "2023-11-07T05:31:56Z",
"memory_regression_percent": 123,
"profiler_artifact_digest": "<string>",
"quality_evidence_id": "<string>",
"quality_passed": true,
"runtime_image_digest": "<string>",
"sanitizer_passed": true,
"serving_replay_measured": true,
"workload_digest": "<string>"
},
"reasons": [
"<string>"
],
"research": {
"attempts": [
{
"backend": "<string>",
"baseline_median_us": 123,
"candidate_median_us": 123,
"completed_at": "2023-11-07T05:31:56Z",
"correctness": {
"determinism": true,
"edge_cases": true,
"numerical_stability": true,
"sanitizer": true,
"shape_sweep": true,
"smoke": true
},
"decision": "<string>",
"end_to_end_speedup": 123,
"iteration": 123,
"kernel_speedup": 123,
"reason": "<string>",
"source_revision": "<string>"
}
],
"best_end_to_end_speedup": 123,
"best_kernel_speedup": 123,
"best_source_revision": "<string>",
"receipt_digest": "<string>",
"state": "<string>"
},
"source": {
"backend": "<string>",
"implementation_id": "<string>",
"license": "<string>",
"revision": "<string>"
},
"state": "<string>"
}
],
"input_digest": "<string>",
"limitations": [
"<string>"
],
"plan": {
"algorithm_version": "<string>",
"candidates": [
{}
],
"registry_version": "<string>",
"rejected": [
{
"hotspot_id": "<string>",
"reason": "<string>"
}
],
"selection_boundary": "<string>"
},
"profile": {
"artifact_digest": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"hotspots": [
{
"device_time_fraction": 123,
"dtypes": [
"<string>"
],
"family": "<string>",
"id": "<string>",
"invocations": 123,
"mean_duration_us": 123,
"name": "<string>",
"shapes": [
"<string>"
]
}
],
"runtime_image_digest": "<string>",
"tool": "<string>",
"tool_version": "<string>"
},
"schema_version": "infercrane.accelerator-lab-result/v1",
"state": "<string>",
"winner_id": "<string>"
},
"result_state": "pending",
"status": "<string>",
"target": {
"hardware": {
"accelerator": "<string>",
"compute_capability": "<string>",
"vendor": "<string>"
},
"model": {
"repository": "<string>",
"revision": "<string>"
},
"runtime": {
"image_digest": "<string>",
"name": "<string>",
"version": "<string>"
},
"topology": {
"accelerators": 123,
"expert_parallel": 123,
"mode": "<string>",
"nodes": 123,
"pipeline_parallel": 123,
"tensor_parallel": 123,
"decode_replicas": 123,
"prefill_replicas": 123
},
"workload": {
"batch_size": 123,
"concurrency": 123,
"digest": "<string>",
"input_tokens": 123,
"modality": "<string>",
"output_tokens": 123,
"phase": "<string>"
}
},
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}